<?php
// This file is part of the Studyplan plugin for Moodle
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.
/**
 *
 * @package    local_treestudyplan
 * @copyright  2023 P.M. Kuipers
 * @license    https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace local_treestudyplan;
require_once($CFG->libdir.'/externallib.php');
require_once($CFG->libdir.'/modinfolib.php');
require_once($CFG->dirroot.'/course/lib.php');

use core_course\local\repository\caching_content_item_readonly_repository;
use core_course\local\repository\content_item_readonly_repository;
use \grade_item;

class coursemoduleinfo {
    private $id;
    private $cm;
    private $cminfo;
    private $dbrecord;

    public function __construct($id) {
        global $DB;
        // Determine the icon for the associated activity.
        $this->id = $id;
        $this->cm = $DB->get_record("course_modules", ["id" => $id]);
        $this->cm_info = \cm_info::create($this->cm);
    }

    public function getTitle() {
        return $this->cm_info->name;
    }

    public function setTitle($value) {
        $this->cm_info->set_name($value);
        // TODO: Actually save this after setting the cminfo.
    }

}
